textures/derelictb/ladder
{
	qer_editorimage textures/derelictb/ladder.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.5
}

textures/derelictb/force_field_red
{
	qer_editorimage textures/derelictb/force_field.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/derelictb/force_field.tga
		blendfunc add
		tcMod scroll 0.03 0
	}
	{
		map textures/derelictb/force_burst.tga
		blendfunc add
		rgbGen wave noise 0 1 0.1 1 
		tcMod scroll 50 30
	}
}

textures/derelictb/force_field_red2
{
	qer_editorimage textures/derelictb/db_cloud.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/derelictb/db_cloud.tga
		blendfunc blend
		tcMod scroll 0.04 0
	}
	{
		map textures/derelictb/force_burst.tga
		blendfunc add
		rgbGen wave noise 0 1 0.1 1 
		tcMod scroll 50 30
	}
}

textures/derelictb/db_grate01
{
	qer_editorimage textures/derelictb/e6bsegrtflr256.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/derelictb/e6bsegrtflr256.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/derelictb/db_buildable
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

textures/derelictb/proto_fence
{
	qer_editorimage textures/derelictb/objects_fence.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/derelictb/objects_fence.tga
		rgbGen identity
		tcMod scale 3 3
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/derelictb/e8tinylight
{
	qer_editorimage textures/derelictb/e8tinylight.tga
	q3map_lightimage textures/derelictb/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/derelictb/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/derelictb/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/derelictb/e6bsegrtflr256_s
{
	qer_editorimage textures/derelictb/e6bsegrtflr256.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/derelictb/e6bsegrtflr256.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/derelictb/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/derelictb/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/derelictb/glass_02_s
{
	qer_editorimage textures/derelictb/001metal.tga
	surfaceparm trans
	cull disable
	{
		map textures/derelictb/001metal.tga
		blendfunc add
		rgbGen const ( 0.05 0.05 0.07 )
	}
}

textures/derelictb/e6metalfan_s2
{
	qer_editorimage textures/derelictb/e6metalfan.tga
	{
		map textures/derelictb/e6metalfan_blade.tga
		tcMod rotate 5000
	}
	{
		map textures/derelictb/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/derelictb/tin_s
{
	qer_editorimage textures/derelictb/tin.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/derelictb/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/derelictb/db_skybox
{
	qer_editorimage textures/derelictb/env/Astr51.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 15
	skyParms textures/derelictb/env/Astr512 128 -
}

textures/derelictb/mist_s
{
	cull disable
	{
		map textures/derelictb/mist.tga
		blendfunc blend
		rgbGen Vertex
		alphaGen Vertex
	}
}

textures/derelictb/db_landingpad
{
	q3map_lightimage textures/derelictb/landingpad_r.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/derelictb/landingpad.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/derelictb/landingpad_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}
